Get Idp Connection
curl --request GET \
--url https://{host}/api/identity/public/v1/idp/connection \
--header 'Authorization: Bearer <token>'import requests
url = "https://{host}/api/identity/public/v1/idp/connection"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{host}/api/identity/public/v1/idp/connection', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/api/identity/public/v1/idp/connection",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{host}/api/identity/public/v1/idp/connection"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{host}/api/identity/public/v1/idp/connection")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/api/identity/public/v1/idp/connection")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"configured": false,
"alias": "<string>",
"expected_alias": "<string>",
"display_name": "<string>",
"issuer": "<string>",
"authorization_url": "<string>",
"token_url": "<string>",
"userinfo_url": "<string>",
"jwks_url": "<string>",
"logout_url": "<string>",
"scopes": "<string>",
"prompt": "",
"client_id_configured": false,
"client_secret_configured": false,
"domain": "<string>",
"domains": []
}Identity
Get Idp Connection
Get the current IdP connection configuration for the organization.
Returns the current OIDC configuration including endpoints and whether client credentials are configured (credentials are not exposed).
Only admins can view this configuration.
GET
/
api
/
identity
/
public
/
v1
/
idp
/
connection
Get Idp Connection
curl --request GET \
--url https://{host}/api/identity/public/v1/idp/connection \
--header 'Authorization: Bearer <token>'import requests
url = "https://{host}/api/identity/public/v1/idp/connection"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{host}/api/identity/public/v1/idp/connection', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/api/identity/public/v1/idp/connection",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{host}/api/identity/public/v1/idp/connection"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{host}/api/identity/public/v1/idp/connection")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/api/identity/public/v1/idp/connection")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"configured": false,
"alias": "<string>",
"expected_alias": "<string>",
"display_name": "<string>",
"issuer": "<string>",
"authorization_url": "<string>",
"token_url": "<string>",
"userinfo_url": "<string>",
"jwks_url": "<string>",
"logout_url": "<string>",
"scopes": "<string>",
"prompt": "",
"client_id_configured": false,
"client_secret_configured": false,
"domain": "<string>",
"domains": []
}Authorizations
ApiKeyOAuth2
A Barndoor API key, sent as Authorization: Bearer <key>. Keys are prefixed bdai_ and are opaque — do not attempt to decode one. Interchangeable with an OAuth 2.0 access token.
Response
200 - application/json
Successful Response
Response containing current IdP connection configuration.